From: Andi Kleen <ak@linux.intel.com>
To: cpw@sgi.com
Subject: [PATCH 8/8] Disable transparent huge pages in test suite
Date: Wed, 14 Dec 2011 11:38:38 -0800

This fixes the test suite on systems that force THP, because
the node hit accounting cannot deal with large pages.
---
 test/regress |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Index: numactl-dev/test/regress
===================================================================
--- numactl-dev.orig/test/regress
+++ numactl-dev/test/regress
@@ -79,8 +79,8 @@ probe_hardware()
 
 # =========================================================================
 _test_process_state() {
-    echo '=>testing numactl' "$@" "memhog $SIZE"
-    numactl "$@" memhog $SIZE  || failed
+    echo '=>testing numactl' "$@" "memhog -H $SIZE"
+    numactl "$@" memhog -H $SIZE  || failed
 }
 
 test_process_state()
@@ -132,8 +132,8 @@ test_process_state()
 # test mbind
 
 _test_mbind() {
-	echo '=>testing memhog' "$@"
-	memhog $SIZE "$@" || failed
+	echo '=>testing memhog -H' "$@"
+	memhog -H $SIZE "$@" || failed
 }
 
 test_mbind()
